
default.environment=dev
default.environment_dtp=dev
default.environment_sqs=dev
default.home_folder=\\D:\\siae\\sophia\\sophia-performing\\src\\main\\resources
#default.home_folder=/data/alkemy/siae/sophia/temp/${default.environment}
#default.home_folder=/var/local/sophia/${default.environment_dtp}/performing/codifica
#default.home_folder=/home/sualkemy/performing
#log4j.configuration=${default.home_folder}/sophia-performing-log4j2.xml
log4j.configuration=${default.home_folder}/log4j2.xml
#aws.credentials=${default.home_folder}/AwsCredentials.properties
#http.proxy.host=10.255.1.241
#http.proxy.port=8080

# response adapter
response_adapter.locked=false
#response_adapter.debug=true
response_adapter.bind_port=16287
response_adapter.heartbeat=1000
response_adapter.working_directory=${default.home_folder}/tmp

# sqs message(s)
#response_adapter.sqs.max_messages_per_run=100
#response_adapter.sqs.max_polling_duration=4m30s
#response_adapter.sqs.polling_period=10s
response_adapter.sqs.sender_name=multimediale-identification-response-adapter
response_adapter.sqs.service_bus_queue=${default.environment_sqs}_service_bus
response_adapter.sqs.started_queue=${default.environment_sqs}_started_identification-response-adapter-multimediale
response_adapter.sqs.completed_queue=${default.environment_sqs}_completed_identification-response-adapter-multimediale
response_adapter.sqs.failed_queue=${default.environment_sqs}_failed_notifica_massiva_performing

# completed notification(s)
response_adapter.completed.sqs.max_messages_per_run=100
response_adapter.completed.sqs.max_polling_duration=4m30s
response_adapter.completed.sqs.polling_period=10s
response_adapter.completed.sqs.to_process_queue=${default.environment_sqs}_completed_newidentification

response_adapter.sqs.to_process_new_claim_queue=${default.environment_sqs}_to_process_pricingclaim

# failed notification(s)
response_adapter.failed.sqs.max_messages_per_run=100
response_adapter.failed.sqs.max_polling_duration=4m30s
response_adapter.failed.sqs.polling_period=10s
response_adapter.failed.sqs.to_process_queue=${default.environment_sqs}_failed_massiva_performing


response_adapter.sql.insert_dsr_statistics=\
        INSERT INTO DSR_STATISTICS \
           SET IDDSR = {idDsr}, \
               TOTAL_LINES = {totalRecords}, \
               TOTAL_RECOGNIZED = {identifiedRecords}, \
               TOTAL_ISRC = {identifiedRecordsIsrc}, \
               TOTAL_ISWC = {identifiedRecordsIswc}, \
               TOTAL_IDSONG = {identifiedRecordsWorkCode}, \
               TOTAL_TITLE_ARTISTS = {identifiedRecordsTitleArtist}

webserver_pricing= "http://gestioneutilizzazioni-test.alkemytech.it/cruscottoUtilizzazioni/rest/droolsPricing/xls4dsr"
webservice_utilizzazioni= "http://gestioneutilizzazioni-test.alkemytech.it/cruscottoUtilizzazioni/rest/metadata"
webservice_ccid= "http://gestioneutilizzazioni-test.alkemytech.it/cruscottoUtilizzazioni/rest/ccidConfig/getCCIDConfiguration"
webservice_blacklist= "http://gestioneutilizzazioni-test.alkemytech.it/cruscottoUtilizzazioni/rest/blacklist/csv4dsr"
webservice_dsr_metadata= "http://gestioneutilizzazioni-test.alkemytech.it/cruscottoUtilizzazioni/rest/dsrMetadata/extractDsrMetadata"